Разместите свой проект бесплатно и начните получать предложения от фрилансеров-исполнителей уже спустя минуты после публикации!

Апгрейд PHP до 7.1 для osCommerce 2.2

истекло время актуальности
PHP


  1.  фрилансер больше не работает на сервисе
  2.  1 день 300 ₽
    530    12  1   1

    Здравствуйте, с удовольствием сделаю, пишите в лс или скайп kotishemsk

  1.  фрилансер больше не работает на сервисе
  • Vasilij P
    12 ноября 2018 |

    Тестовый сервер у вас развернут?

  • Дмитрий Дубровский — заказчик проекта
    12 ноября 2018 |

    нет

  • Vasilij P
    12 ноября 2018 |

    Вы просто переключали версию PHP на сервере и потом смотрели на результат?

  • Дмитрий Дубровский — заказчик проекта
    12 ноября 2018 |

    именно

  • Vasilij P
    12 ноября 2018 |

    На хостинге только один слот под сайт? Или можно сделать копию для тестов?

  • Дмитрий Дубровский — заказчик проекта
    12 ноября 2018 |

    я думаю можно

  • Vasilij P
    12 ноября 2018 |

    Скорее всего нужно обновлять до версии 2.3 x.x.x Которая уже нормально работает на 7 версии.  У вас там много всяких доделок в движке, много специалистов работало с сайтом?

  • Профиль удален
    12 ноября 2018 |

    Ээм. Просто php говорит вам о прямой уязвимости сайта. Которую по умолчанию выключили в php 7. Я бы посоветовал нанять человека который обновит сам движок. И пофиксит баги

  • Профиль удален
    12 ноября 2018 |

    Здравствуйте напишите хостеру что бы сделал register_globals = on 

    FATAL ERROR: register_globals отключен в php.ini, включите его

  • Профиль удален
    12 ноября 2018 |

    Или попробуй через .htaccess включить:


    php_flag register_globals On

  • Профиль удален
    12 ноября 2018 |

    Ха-ха-ха-ха. Просто профессионал. Потом спрашивают почему фрилансеров пишут не безопасный код. Почитай статью с оф. сайта http://php.net/manual/ru/security.globals.php

  • Дмитрий Дубровский — заказчик проекта
    12 ноября 2018 |

    я так понимаю просто включить не выйдет - будет скорее всего конфликт с другими директивами

  • Игорь Лахман
    12 ноября 2018 |

    ( register_globals )  This feature has been DEPRECATED as of PHP 5.3.0 and REMOVED as of PHP 5.4.0.


  • Профиль удален
    12 ноября 2018 |

    Тогда просто перепишите часть кода что бы вообще исключить register_globals

  • Профиль удален
    13 ноября 2018 |

    Вот я не понимаю ты советовал человеку оставить сильнейшую уязвимость в коде. Или ты сам не знаешь? Не знаешь что ее вообще убрали в 5.4

  • Александр Кошелев
    13 ноября 2018 |

    Здравствуйте,  там не только глобальные переменные,  а и функции  php менять надо,  они уже depricated

  • Профиль удален
    13 ноября 2018 |

    Да знаю 1500 возьму. Если меня выберут то сделаю все